#!/bin/sh

# Copyright (C) 2001 Mandrakesoft
# Author Renaud Chaillat <rchaillat@mandrakesoft.com>

# Ping a host to test internet connection

[ ! -e /etc/pingtest.conf ] && exit;
. /etc/pingtest.conf

[ -z $HostToPing ] && exit;

if ! ping -w 5 -c 1 -i 1 $HostToPing  >/dev/null 2>&1 ; then
    echo Down;
else
	# find the gateway interface
	GWINTERFACE=`route -n | tail --lines=1 | awk ' { print $8 } '`;
	# find the corresponding IP
    IPADDR=`ifconfig | grep -A 1 $GWINTERFACE | tail --lines=1 | awk ' { print $2 } ' | sed  "s/addr:\(.*\)/(your ip address on $GWINTERFACE is \1)/" `;
    echo Up $IPADDR;
fi  
